Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Emerge world.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
gopherdabills
n00b
n00b


Joined: 04 Feb 2006
Posts: 31

PostPosted: Sat Aug 05, 2006 5:25 pm    Post subject: Emerge world. Reply with quote

During my latest Gentoo install, I made a foolish error.
When writing my CFLAGS, I typed zero instead of 'O' in -O2.
I did not catch this mistake until after I completed the install and emerged kde, hal, and dbus.
When I tried to emerge ivman, I came across an error caused by the CFLAGS typo.
I corrected my error, but I will need to update all of the emerged programs.
I was advised by a friend to try the following code:
Code:

emerge -uavN --deep world

I was given the following result:
Code:

These are the packages that would be merged, in order:

Calculating world dependencies  ...... done!
[blocks B     ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.15-r2)
[ebuild     U ] sys-libs/gpm-1.20.1-r5 [1.20.1-r4] 559 kB
[ebuild     U ] sys-libs/ncurses-5.5-r2 [5.4-r6] USE="gpm -bootstrap -build -debug -doc -minimal -nocxx -unicode" 2,259 kB
[ebuild     U ] app-shells/bash-3.1_p16 [3.0-r12] USE="nls -afs% -bashlogger -build" 2,514 kB
[ebuild     U ] sys-libs/readline-5.1_p4 [5.0-r2] 1,986 kB
[ebuild     U ] sys-devel/gettext-0.14.5 [0.14.4] USE="nls -doc -emacs -nocxx%" 6,939 kB
[ebuild     U ] sys-devel/gnuconfig-20060227 [20051223] 38 kB
[ebuild     U ] sys-devel/libperl-5.8.8-r1 [5.8.7] USE="berkdb gdbm -debug -ithreads" 9,886 kB
[ebuild     U ] dev-lang/perl-5.8.8-r2 [5.8.7-r3] USE="berkdb gdbm -build -debug -doc -ithreads -perlsuid" 0 kB
[ebuild     U ] dev-libs/openssl-0.9.7j [0.9.7e-r2] USE="zlib -bindist -emacs -test" 3,213 kB
[ebuild  N    ] perl-core/Test-Harness-2.56  USE="perl -minimal" 63 kB
[ebuild     U ] app-admin/perl-cleaner-1.04 [1.01] 5 kB
[ebuild  N    ] perl-core/PodParser-1.32  USE="perl -minimal" 91 kB
[ebuild     U ] dev-lang/python-2.4.3-r1 [2.4.2] USE="berkdb gdbm ipv6 ncurses readline ssl -bootstrap -build -doc -nocxx -tk% -ucs2" 7,827 kB
[ebuild     U ] sys-apps/sandbox-1.2.17 [1.2.12] 227 kB
[ebuild     U ] sys-apps/sed-4.1.4-r1 [4.1.4] USE="nls -bootstrap -build -static" 775 kB
[ebuild     U ] sys-apps/debianutils-2.15-r1 [2.14.1-r1] USE="-build -static" 181 kB
[ebuild     U ] sys-apps/man-pages-2.36 [2.20] USE="nls" 1,762 kB
[ebuild     U ] app-crypt/hashalot-0.3-r2 [0.3-r1] 78 kB
[ebuild     U ] sys-libs/com_err-1.39 [1.38] USE="nls" 3,608 kB
[ebuild     U ] sys-libs/ss-1.39 [1.38] USE="nls" 0 kB
[ebuild     U ] sys-fs/e2fsprogs-1.39 [1.38] USE="nls -static" 0 kB
[ebuild     U ] sys-apps/util-linux-2.12r-r3 [2.12r-r1] USE="crypt nls perl -old-crypt -static" 1,503 kB
[ebuild  N    ] virtual/perl-Test-Simple-0.62  0 kB
[ebuild     U ] sys-devel/m4-1.4.4 [1.4.3] USE="nls" 299 kB
[ebuild     U ] sys-devel/autoconf-wrapper-3.2 [3-r1] 0 kB
[ebuild     U ] sys-devel/autoconf-2.59-r7 [2.59-r6] USE="-emacs" 903 kB
[ebuild     U ] sys-devel/automake-1.9.6-r2 [1.9.6-r1] 747 kB
[ebuild     U ] sys-devel/binutils-config-1.8-r7 [1.8-r6] 0 kB
[ebuild     U ] sys-apps/coreutils-5.94-r1 [5.2.1-r6] USE="nls -acl -build -static" 4,989 kB
[ebuild     U ] sys-apps/sysvinit-2.86-r5 [2.86-r3] USE="-bootstrap -build -static" 100 kB
[ebuild     U ] sys-apps/baselayout-1.11.15-r3 [1.11.14-r3] USE="-bootstrap -build -static -unicode" 157 kB
[ebuild     U ] sys-fs/udev-087-r1 [079-r1] 185 kB
[ebuild     U ] sys-devel/make-3.80-r4 [3.80-r2] USE="nls -build -static" 899 kB
[ebuild   R   ] sys-kernel/gentoo-sources-2.6.17-r4  USE="-build -symlink*" 0 kB
[ebuild     U ] sys-libs/cracklib-2.8.9 [2.8.5] USE="nls python" 562 kB
[ebuild     U ] sys-devel/flex-2.5.33-r1 [2.5.4a-r6] USE="nls% -static" 679 kB
[ebuild     U ] app-arch/bzip2-1.0.3-r6 [1.0.3-r5] USE="-build -static" 653 kB
[ebuild     U ] sys-apps/file-4.17-r1 [4.13] USE="python -build" 543 kB
[ebuild     U ] sys-devel/gcc-config-1.3.13-r3 [1.3.12-r6] 0 kB
[ebuild     U ] sys-devel/bison-2.1 [1.875d] USE="nls -static" 982 kB
[ebuild     U ] sys-devel/gcc-3.4.6-r1 [3.4.4-r1] USE="fortran nls -bootstrap -boundschecking -build -doc% -gcj -gtk* -hardened -ip28 -ip32r10k% -multislot -nocxx -nopie -nossp -objc -test% -vanilla" 27,694 kB
[ebuild  N    ] sys-libs/timezone-data-2006a  322 kB
[ebuild     U ] sys-libs/glibc-2.3.6-r4 [2.3.5-r2] USE="nls -build -erandom -glibc-compat20 -glibc-omitfp -hardened -profile" 15,523 kB
[ebuild     U ] sys-apps/kbd-1.12-r6 [1.12-r5] USE="nls" 867 kB
[ebuild     U ] sys-apps/busybox-1.1.3 [1.00-r4] USE="-debug -floppyboot -make-symlinks -netboot -savedconfig -static" 1,402 kB
[ebuild     U ] sys-process/procps-3.2.6 [3.2.5-r1] 272 kB
[ebuild     U ] sys-apps/gawk-3.1.5-r1 [3.1.4-r4] USE="nls -build" 2,256 kB
[ebuild     U ] app-arch/tar-1.15.1-r1 [1.15.1] USE="nls -build -bzip2* -static" 1,573 kB
[ebuild     U ] sys-apps/shadow-4.0.15-r2 [4.0.7-r4] USE="nls pam -nousuid -skey" 1,264 kB
[ebuild     U ] sys-process/psmisc-22.2 [21.9] USE="X% ipv6 nls" 238 kB
[ebuild     U ] net-misc/rsync-2.6.8-r2 [2.6.0-r6] USE="ipv6% -acl -build -static -xinetd" 754 kB
[ebuild     U ] app-editors/nano-1.3.11-r2 [1.3.9] USE="ncurses nls spell -build -debug -justify -minimal -slang -unicode" 1,145 kB
[ebuild     U ] sys-apps/hdparm-6.3 [5.9] 43 kB
[ebuild     U ] net-misc/openssh-4.3_p2-r1 [4.2_p1-r1] USE="ipv6 pam tcpd -X509 -chroot -hpn -kerberos -ldap -libedit -sftplogging -skey -smartcard -static" 919 kB
[ebuild     U ] sys-apps/findutils-4.3.0 [4.1.20-r2] USE="nls -build -static" 1,102 kB
[ebuild     U ] sys-apps/less-394 [385_p4-r2] USE="-unicode" 480 kB

Total size of downloads: 111,086 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

There is an obvious problem with pam and shadow, but I don't know what either of them are.

How do I get around this problem, and is there a better way to update my entire system?
I would appreciate any and all help.
Back to top
View user's profile Send private message
moocha
Watchman
Watchman


Joined: 21 Oct 2003
Posts: 5722
Location: Cluj-Napoca, Romania

PostPosted: Sat Aug 05, 2006 5:29 pm    Post subject: Re: Emerge world. Reply with quote

Code:
[blocks B     ] sys-apps/pam-login (is blocking sys-apps/shadow-4.0.15-r2)

Gentoo Handbook: Blocked packages
gopherdabills wrote:
is there a better way to update my entire system?
Depends on what you mean by "better". Your system is compiled without any optimization, i.e. it'll be dog slow, so there is no way around recompiling the whole shebang. The best way to do that would be to recompile your toolchain first by doing
Code:
emerge -e system
then recompile world with
Code:
emerge -e world
It will take a long time, but that's rather the nature of the thing.
_________________
Military Commissions Act of 2006: http://tinyurl.com/jrcto

"Those who would give up essential liberty to purchase a little temporary safety deserve neither liberty nor safety."
-- attributed to Benjamin Franklin
Back to top
View user's profile Send private message
stupidkid
Apprentice
Apprentice


Joined: 17 Apr 2006
Posts: 247
Location: 127.0.0.1

PostPosted: Sat Aug 05, 2006 5:41 pm    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-443022.html

Funny that you missed it, it's a sticky in the same forum. :P
_________________
How many people can read hex if you and dead people can read hex?
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Sat Aug 05, 2006 6:54 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, please see the topic mentioned above.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum